Subject: Re: [Pals] WG Last Call - draft-ietf-pals-redundancy-spe

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 29 Apr 2015 10:41:54 +0000

Hi all,
I have read the draft and I support requesting its publication from IESG.

I have the following comments that should be resolved complete with other WG LC comments:

1.       The draft (in its current version) is intended for Proposed Standard, but it does not contain any MUST/MUST NOT requirements. In particular, all the requirements in Section 3 "SPE Operation" are marked as SHOULD. From my POV this may cause potential interoperability problems. I suggest to redefine some (possibly all) requirements in this section as MUST to avoid any such issues.

2.       The draft explicitly mentions MS-PWs with some (or even all) segments being statically configured and presumably relies on static PW Status messages (as per RFC 6478) for carrying the Preferential Forwarding bit across static segments. However, RFC 6478 allows sending static PW status messages also end-to-end (in the so-called SPE Bypass mode). This mode is clearly incompatible with the mechanism defined in the draft, and I suggest to mention it explicitly to avoid any ambiguity.

Hopefully these comments will be useful.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 29 Apr 2015 09:31:54 -0400

Regarding comment 2, Sasha had a similar comment
for draft-ietf-pals-ms-pw-protection. There, I resolved the comment by
adding the text "Note that the optional S-PE Bypass Mode defined in Section
5.5 of RFC 6478 cannot be used, as it requires LDP signaling." Similar text
can be used here as well.

Cheers,
Andy

On Wed, Apr 29, 2015 at 6:41 AM, Alexander Vainshtein <
[email-masked]> wrote:

> 1.       The draft (in its current version) is intended for Proposed
> Standard, but it does not contain any MUST/MUST NOT requirements. In
> particular, all the requirements in Section 3 “SPE Operation” are marked as
> SHOULD. From my POV this may cause potential interoperability problems. I
> suggest to redefine some (possibly all) requirements in this section as
> MUST to avoid any such issues.
>
> 2.       The draft explicitly mentions MS-PWs with some (or even all)
> segments being statically configured and presumably relies on static PW
> Status messages (as per RFC 6478) for carrying the Preferential Forwarding
> bit across static segments. However, RFC 6478 allows sending static PW
> status messages also end-to-end (in the so-called SPE Bypass mode). This
> mode is clearly incompatible with the mechanism defined in the draft, and I
> suggest to mention it explicitly to avoid any ambiguity.
>
>
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 29 Apr 2015 13:58:49 +0000

Andy,
Works fine for me in both cases.

Interesting though that S-PE Bypass mode gets forgotten so often☺…

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Andrew G. Malis [mailto:[email-masked]]
Sent: Wednesday, April 29, 2015 4:32 PM
To: Alexander Vainshtein
Cc: Stewart Bryant ([email-masked]); Dongjie (Jimmy); Wanghaibo (Rainsword); [email-masked]
Subject: Re: WG Last Call - draft-ietf-pals-redundancy-spe

Regarding comment 2, Sasha had a similar comment for draft-ietf-pals-ms-pw-protection. There, I resolved the comment by adding the text "Note that the optional S-PE Bypass Mode defined in Section 5.5 of RFC 6478 cannot be used, as it requires LDP signaling." Similar text can be used here as well.

Cheers,
Andy

On Wed, Apr 29, 2015 at 6:41 AM, Alexander Vainshtein <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,
I have read the draft and I support requesting its publication from IESG.

1.       The draft (in its current version) is intended for Proposed Standard, but it does not contain any MUST/MUST NOT requirements. In particular, all the requirements in Section 3 “SPE Operation” are marked as SHOULD. From my POV this may cause potential interoperability problems. I suggest to redefine some (possibly all) requirements in this section as MUST to avoid any such issues.

Regards,
Sasha

Office: +972-39266302<tel:%2B972-39266302>
Cell:      +972-549266302<tel:%2B972-549266302>
Email:   [email-masked]<mailto:[email-masked]>

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 30 Apr 2015 01:52:46 +0000

Hi Sasha,

Thanks a lot for your comments.

I agree that to ensure interoperability, some or all of the SHOULD in section 3 need to be replaced with MUST.

As for the SPE bypass mode, what about adding the below texts in paragraph 1 of section 3:

"Note that when PW redundancy for MS-PW is provided on S-PE, the optional S-PE Bypass Mode as defined in RFC 6478 MUST NOT be used. "

If you agree, we will make the changes in a new revision.

Best regards,
Jie

From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Wednesday, April 29, 2015 6:42 PM
To: Andrew G. Malis ([email-masked]); Stewart Bryant ([email-masked])
Cc: Dongjie (Jimmy); Wanghaibo (Rainsword); [email-masked]
Subject: Re: WG Last Call - draft-ietf-pals-redundancy-spe

Hi all,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 30 Apr 2015 01:57:04 +0000

Hi Andy,

Thanks a lot for your suggestion. I just replied Sasha with some texts similar to what you suggested. Hope the considerations on SPE bypass mode can be solved in both cases.

Best regards,
Jie

From: Andrew G. Malis [mailto:[email-masked]]
Sent: Wednesday, April 29, 2015 9:32 PM
To: Alexander Vainshtein
Cc: Stewart Bryant ([email-masked]); Dongjie (Jimmy); Wanghaibo (Rainsword); [email-masked]
Subject: Re: WG Last Call - draft-ietf-pals-redundancy-spe

Cheers,
Andy

Regards,
Sasha

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 30 Apr 2015 03:51:04 +0000

?Hi Jie,

Looks as we are in sync regarding the changes.

The text regarding non-usage of bypass SPE mode looks OK to me.

I will be waiting for the new revision.

Regards,

Sasha

________________________________
From: Dongjie (Jimmy) <[email-masked]>
Sent: Thursday, April 30, 2015 4:52 AM
To: Alexander Vainshtein; Andrew G. Malis ([email-masked]); Stewart Bryant ([email-masked])
Cc: Wanghaibo (Rainsword); [email-masked]
Subject: RE: WG Last Call - draft-ietf-pals-redundancy-spe

Hi Sasha,

Best regards,
Jie

Hi all,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302